Package org.apache.commons.compress.compressors.deflate

# Class DeflateCompressorInputStream

java.lang.Object
java.io.InputStream
org.apache.commons.compress.compressors.CompressorInputStream
org.apache.commons.compress.compressors.deflate.DeflateCompressorInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `InputStreamStatistics`

public class DeflateCompressorInputStream extends CompressorInputStream implements InputStreamStatistics
Deflate decompressor.

Since:
  1.9

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeflateCompressorInputStream(InputStream inputStream)`
  Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.
  `DeflateCompressorInputStream(InputStream inputStream, DeflateParameters parameters)`
  Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `available()`
  `void`
  `close()`
  `long`
  `getCompressedCount()`
  Gets the amount of raw or compressed bytes read by the stream.
  `static boolean`
  `matches(byte[] signature, int length)`
  Checks if the signature matches what is expected for a zlib / deflated file with the zlib header.
  `int`
  `read()`
  `int`
  `read(byte[] buf, int off, int len)`
  `long`
  `skip(long n)`

  ### Methods inherited from class org.apache.commons.compress.compressors.CompressorInputStream

  `count, count, getBytesRead, getCount, getUncompressedCount, pushedBackBytes`

  ### Methods inherited from class java.io.InputStream

  `mark, markSupported, read, reset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.compress.utils.InputStreamStatistics

  `getUncompressedCount`

- ## Constructor Details

  - ### DeflateCompressorInputStream

    public DeflateCompressorInputStream(InputStream inputStream)
    Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.
    Parameters:
      `inputStream` - where to read the compressed data

  - ### DeflateCompressorInputStream

    public DeflateCompressorInputStream(InputStream inputStream, DeflateParameters parameters)
    Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.
    Parameters:
      `inputStream` - where to read the compressed data
      `parameters` - parameters

- ## Method Details

  - ### matches

    public static boolean matches(byte[] signature, int length)
    Checks if the signature matches what is expected for a zlib / deflated file with the zlib header.
    Parameters:
      `signature` - the bytes to check
      `length` - the number of bytes to check
    Returns:
      true, if this stream is zlib / deflate compressed with a header stream, false otherwise
    Since:
      1.10

  - ### available

    public int available() throws IOException
    Overrides:
      `available` in class `InputStream`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`
    Throws:
      `IOException`

  - ### getCompressedCount

    public long getCompressedCount()
    Description copied from interface: `InputStreamStatistics`
    Gets the amount of raw or compressed bytes read by the stream.
    Specified by:
      `getCompressedCount` in interface `InputStreamStatistics`
    Returns:
      the amount of raw or compressed bytes read by the stream.
    Since:
      1.17

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] buf, int off, int len) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### skip

    public long skip(long n) throws IOException
    Overrides:
      `skip` in class `InputStream`
    Throws:
      `IOException`